﻿// --------------------------------------------------------------
// Beispiel: ...\Kapitel 23\QuadratDrucken
// --------------------------------------------------------------

using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace QuadratDrucken
{
  public partial class Form1 : Form
  {
    public Form1()
    {
      InitializeComponent();
    }

    private void pictureBox1_Paint(object sender, PaintEventArgs e)
    {
      Graphics g = e.Graphics;
      Color color = Color.Black;
      Font font = new Font("Arial", 8);
      this.Draw(g, font, color, 10, 10, 100, 100);
    }

    private void printDocument1_PrintPage(object sender, System.Drawing.Printing.PrintPageEventArgs e)
    {
      Graphics g = e.Graphics;
      Font font = new Font("Arial", 8);
      g.PageUnit = GraphicsUnit.Millimeter;
      g.PageScale = 1F;
      Color color = Color.Black;
      this.Draw(g, font, color, (int)(e.MarginBounds.X * 0.254), (int)(e.MarginBounds.Y * 0.254), 100, 100);
    }

    private void Draw(Graphics g, Font font, Color color, int XStart, int YStart, int width, int height)
    {
      g.DrawRectangle(new Pen(color, 0.5F), XStart, YStart, width, height);
      g.DrawString("Größe: 100x100", font, new SolidBrush(color), new Point(XStart + 2, YStart + 2));
    }

    private void btnDrucken_Click(object sender, EventArgs e)
    {
      printDocument1.Print();
    }
  }
}