﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

using MPS ;  // --> use namsespace MPS


namespace TimerApplication
{
    public partial class Form1 : Form
    {
        TMultimediaTimer MMTimer1;
        uint Counter = 0;

        public Form1()
        {
            InitializeComponent();

            MMTimer1 = new TMultimediaTimer(null); // --> null means no callback invoking --> less overhead --> less CPU load
            MMTimer1.Interval = 1;                 // --> 1ms interval
            MMTimer1.OnTimer = OnMMTimer1;         // --> specify timer callback via function delegate 

            timer1.Enabled = true;
        }

        private void Form1_FormClosing(object sender, FormClosingEventArgs e)
        {
            MMTimer1.Disable();
            timer1.Enabled = false;
        }


        void OnMMTimer1(TMultimediaTimer Sender)
        {
            Counter++;
        }

        private void timer1_Tick(object sender, EventArgs e)
        {
            textBox1.Text = Counter.ToString();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            MMTimer1.Enable();
        }

        private void button2_Click(object sender, EventArgs e)
        {
            MMTimer1.Disable();
        }

        private void button3_Click(object sender, EventArgs e)
        {
            Counter = 0;
            textBox1.Text = "0";
        }

    }
}
